Subject: Re: What's cooking in git.git (Jan 2026, #09)

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Feb 2026 11:39:00 -0800

Taylor Blau <[email-masked]> writes:

> On Tue, Jan 27, 2026 at 09:42:00AM -0800, Junio C Hamano wrote:
>> * ps/odb-for-each-object (2026-01-26) 16 commits
>>  - odb: drop unused `for_each_{loose,packed}_object()` functions
>>  - reachable: convert to use `odb_for_each_object()`
>>  - builtin/pack-objects: use `packfile_store_for_each_object()`
>>  - odb: introduce mtime fields for object info requests
>>  - treewide: drop uses of `for_each_{loose,packed}_object()`
>>  - treewide: enumerate promisor objects via `odb_for_each_object()`
>>  - builtin/fsck: refactor to use `odb_for_each_object()`
>>  - odb: introduce `odb_for_each_object()`
>>  - packfile: introduce function to iterate through objects
>>  - packfile: extract function to iterate through objects of a store
>>  - object-file: introduce function to iterate through objects
>>  - object-file: extract function to read object info from path
>>  - odb: fix flags parameter to be unsigned
>>  - odb: rename `FOR_EACH_OBJECT_*` flags
>>  - Merge branch 'ps/packfile-store-in-odb-source' into ps/odb-for-each-object
>>  - Merge branch 'ps/read-object-info-improvements' into ps/odb-for-each-object
>>
>>  Revamp object enumeration API around odb.
>>
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I have some lingering questions about the mtime-related changes. I am
> not opposed to the series in general, but I think some more time to
> continue the discussion in that thread would be beneficial before
> starting to merge it down.

Has any further discussions took place outside the original thread

https://lore.kernel.org/git/[email-masked]/

or are we pretty much done with this iteration and polish
incrementally if necessary?

Thanks.